Bug 800025 - SELinux is preventing systemd-tmpfile from 'search' accesses on the directory .font-unix.
SELinux is preventing systemd-tmpfile from 'search' accesses on the directory...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2fc1e77eee89313b195205e4d80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 11:01 EST by chris schoenknecht
Modified: 2012-03-06 02:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 02:04:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris schoenknecht 2012-03-05 11:01:43 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc4.git1.4.fc17.i686
reason:         SELinux is preventing systemd-tmpfile from 'search' accesses on the directory .font-unix.
time:           Mon 05 Mar 2012 11:01:21 AM EST

description:
:SELinux is preventing systemd-tmpfile from 'search' accesses on the directory .font-unix.
:
:*****  Plugin catchall_labels (83.8 confidence) suggests  ********************
:
:If you want to allow systemd-tmpfile to have search access on the .font-unix directory
:Then you need to change the label on .font-unix
:Do
:# semanage fcontext -a -t FILE_TYPE '.font-unix'
:where FILE_TYPE is one of the following: avahi_var_run_t, net_conf_t, nscd_var_run_t, nslcd_var_run_t, sssd_var_lib_t, sysctl_t, abrt_t, bin_t, rpm_var_lib_t, lib_t, mnt_t, device_t, init_var_run_t, httpd_sys_rw_content_t, root_t, tmp_t, usr_t, var_t, etc_t, file_context_t, file_type, proc_t, sysfs_t, cpu_online_t, home_root_t, textrel_shlib_t, selinux_config_t, winbind_var_run_t, cert_t, rpm_script_tmp_t, user_home_dir_t, security_t, default_context_t, var_lock_t, var_t, etc_t, filesystem_type, man_t, device_t, locale_t, var_auth_t, tmp_t, usr_t, var_t, default_t, etc_t, file_t, sssd_public_t, proc_t, sysfs_t, tmpfs_t, cpu_online_t, config_home_t, var_run_t, likewise_var_lib_t, rpm_log_t, lockfile, var_log_t, pidfile, tmpfile, krb5_conf_t, abrt_var_run_t, lost_found_t, sandbox_file_t, security_t, sysctl_crypto_t, systemd_tmpfiles_t, var_spool_t, httpd_cache_t, var_lib_t, var_run_t, rpm_var_cache_t, faillog_t, var_lib_t, var_run_t, proc_net_t, user_home_type, samba_var_t, var_log_t, setrans_var_run_t, nscd_var_run_t, pcscd_var_run_t, krb5_host_rcache_t, var_t, var_t, var_run_t, var_run_t. 
:Then execute: 
:restorecon -v '.font-unix'
:
:
:*****  Plugin catchall (17.1 confidence) suggests  ***************************
:
:If you believe that systemd-tmpfile should be allowed search access on the .font-unix directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-tmpfile /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_tmpfiles_t:s0
:Target Context                system_u:object_r:unlabeled_t:s0
:Target Objects                .font-unix [ dir ]
:Source                        systemd-tmpfile
:Source Path                   systemd-tmpfile
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-91.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc4.git1.4.fc17.i686 #1 SMP Wed
:                              Feb 22 01:36:27 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Mon 05 Mar 2012 10:58:42 AM EST
:Last Seen                     Mon 05 Mar 2012 10:58:42 AM EST
:Local ID                      bbb14bf7-33fa-46f3-8449-9eda375115e3
:
:Raw Audit Messages
:type=AVC msg=audit(1330963122.648:84): avc:  denied  { search } for  pid=2351 comm="systemd-tmpfile" name=".font-unix" dev="dm-1" ino=262157 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir
:
:
:Hash: systemd-tmpfile,systemd_tmpfiles_t,unlabeled_t,dir,search
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-03-06 02:04:49 EST
This is an update issue which has been fixed in the latest policy.

$ yum update

Note You need to log in before you can comment on or make changes to this bug.